axis-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shashi Rai <s...@adobe.com>
Subject RE: Axis1.2 and Websphere 5.1
Date Tue, 31 Aug 2004 14:39:48 GMT
Hi Mike,

I did change to PARENT_LAST class loading behaviour for EAR as well as WAR
file and it still complains. The only option seems to work for me is either
remove the webservices.jar supplied by websphere or modify webservices.jar
by removing saaj apis and dropping the new saaj.jar supplied with Axis. 

Since I am not using websphere's webservices, I am not sure how much damage
this can cause to other applications who use it.

Thanks

--shashi

-----Original Message-----
From: Mike Burati [mailto:mburati@bowstreet.com] 
Sent: Tuesday, August 31, 2004 7:20 AM
To: 'axis-user@ws.apache.org'
Subject: RE: Axis1.2 and Websphere 5.1



Shashi,
    One means of getting a JAR in your WAR/EAR loaded in preference to a
similar but older one packaged with WebSphere 5 is to go into the WAS5 Admin
tool and set the Class Loader behavior on your WAR and/or EAR to PARENT_LAST
(I believe it defaults to PARENT_FIRST) so that it'll look in your app first
to resolve classes rather than in the parent's context first.  It may not
work in all cases, but we have successfully used it to work around conflicts
in jars that WPS5 adds when you install it on WAS5 (where we have similar
jars in our WARs)...

..Mike

 
-----Original Message-----
From: Shashi Rai [mailto:srai@adobe.com]
Sent: Tuesday, August 31, 2004 2:09 AM
To: axis-user@ws.apache.org
Subject: Axis1.2 and Websphere 5.1


Hi All,
 
While going thru the list, I see lots of people are using Axis and Websphere
but not sure if anyone is using Axis1.2 beta 3 with WAS 5.1 fixpack1. 
 
In my application, I package Axis as a webapplication inside ear.
 
I can not seem to get my webservices working with Websphere unless I remove
websphere supplied .jar file. I get the following error because websphere
supplied .jar file includes older saaj apis.
 
[8/21/04 14:46:08:292 PDT] 3a289b4e WebGroup      E SRVE0026E: [Servlet
Error]-[class org.apache.axis.SOAPPart does not implement interface
org.w3c.dom.Document]: java.lang.IncompatibleClassChangeError: class
org.apache.axis.SOAPPart does not implement interface org.w3c.dom.Document

Is there anyone who encountered the similar issue ? Any idea how to resolve
this ?
 
Thanks for help.
 
--shashi
 
 


Mime
View raw message